# Uses of Interface
com.sun.jdi.ThreadGroupReference

Packages that use ThreadGroupReference
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of ThreadGroupReference in com.sun.jdi

Methods in com.sun.jdi that return ThreadGroupReference
Modifier and Type
Method
Description
`ThreadGroupReference`
ThreadGroupReference.`parent()`
Returns the parent of this thread group.
`ThreadGroupReference`
ThreadReference.`threadGroup()`
Returns this thread's thread group.
Methods in com.sun.jdi that return types with arguments of type ThreadGroupReference
Modifier and Type
Method
Description
`List<ThreadGroupReference>`
ThreadGroupReference.`threadGroups()`
Returns a List containing a `ThreadGroupReference` for each subgroup.
`List<ThreadGroupReference>`
VirtualMachine.`topLevelThreadGroups()`
Returns each thread group which does not have a parent.